## com.google.appengine.api.datastore
Class PreparedQuery.TooManyResultsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.datastore.PreparedQuery.TooManyResultsException

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  PreparedQuery

    public static class PreparedQuery.TooManyResultsException

extends java.lang.RuntimeException

Indicates that too many results were found for `PreparedQuery.asSingleEntity()`.

See Also:
  Serialized Form

Constructor Summary
`PreparedQuery.TooManyResultsException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreparedQuery.TooManyResultsException

    public PreparedQuery.TooManyResultsException()